View Issue Details

IDProjectCategoryView StatusLast Update
0033457FPCPackagespublic2018-04-22 17:53
ReporterStephanoAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033457: fpreport: Checkboxes considerably slow down the report preview scrolling
Description- Open the attached report
- Preview it
- Scroll up and down with the mouse
The scrolling feels sluggish
- Delete the checkboxes and replace them with memos
- Preview the report
The scrolling is snappy.
TagsNo tags attached.
Fixed in Revision57684
FPCOldBugId0
FPCTarget
Attached Files

Activities

Stephano

2018-03-19 20:42

developer  

SlowCheckboxes.json (5,865 bytes)

Michael Van Canneyt

2018-04-22 17:37

administrator   ~0107926

Preview now draws page on a bitmap when needed, and then draws the bitmap on the screen. This considerably speeds up the scrolling.

Issue History

Date Modified Username Field Change
2018-03-18 19:32 Stephano New Issue
2018-03-18 19:32 Stephano Status new => assigned
2018-03-18 19:32 Stephano Assigned To => Michael Van Canneyt
2018-03-18 19:32 Stephano File Added: FieldIsNullBug.json
2018-03-19 20:42 Stephano File Deleted: FieldIsNullBug.json
2018-03-19 20:42 Stephano File Added: SlowCheckboxes.json
2018-04-22 17:37 Michael Van Canneyt Fixed in Revision => 57684
2018-04-22 17:37 Michael Van Canneyt Note Added: 0107926
2018-04-22 17:37 Michael Van Canneyt Status assigned => resolved
2018-04-22 17:37 Michael Van Canneyt Fixed in Version => 3.1.1
2018-04-22 17:37 Michael Van Canneyt Resolution open => fixed
2018-04-22 17:37 Michael Van Canneyt Target Version => 3.2.0
2018-04-22 17:53 Stephano Status resolved => closed